## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate kvm-bindings

# compile and run tests only on supported architectures
%global supported_arches aarch64 riscv64 x86_64

Name:           rust-kvm-bindings
Version:        0.11.1
Release:        %autorelease
Summary:        Rust FFI bindings to KVM generated using bindgen

License:        Apache-2.0
URL:            https://crates.io/crates/kvm-bindings
Source:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Rust FFI bindings to KVM generated using bindgen.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/CONTRIBUTING.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+fam-wrappers-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+fam-wrappers-devel %{_description}

This package contains library source intended for building other packages which
use the "fam-wrappers" feature of the "%{crate}" crate.

%files       -n %{name}+fam-wrappers-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+vmm-sys-util-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+vmm-sys-util-devel %{_description}

This package contains library source intended for building other packages which
use the "vmm-sys-util" feature of the "%{crate}" crate.

%files       -n %{name}+vmm-sys-util-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%ifarch %{supported_arches}
%cargo_build
%endif

%install
%cargo_install

%if %{with check}
%ifarch %{supported_arches}
%check
%cargo_test
%endif
%endif

%changelog
## START: Generated by rpmautospec
* Tue Mar 18 2025 David Michael <fedora.dm0@gmail.com> - 0.11.1-1
- Update to version 0.11.1 (fedora#2338577)

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Dec 11 2024 David Michael <fedora.dm0@gmail.com> - 0.10.0-2
- Set supported architectures in rust2rpm.toml

* Mon Nov 11 2024 Sergio Lopez <slp@redhat.com> - 0.10.0-1
- Update to version 0.10.0; Fixes RHBZ#2314203

* Wed Sep 18 2024 David Michael <fedora.dm0@gmail.com> - 0.9.1-1
- Update to version 0.9.1 (fedora#2276650)

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jun 03 2024 Sergio Lopez <slp@redhat.com> - 0.8.2-1
- Update to version 0.8.2; Fixes RHBZ#2276650

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jan 11 2024 Sergio Lopez <slp@redhat.com> - 0.7.0-1
- Update to version 0.7.0; Fixes RHBZ#2256629

* Mon Aug 07 2023 Fabio Valentini <decathorpe@gmail.com> - 0.6.0-4
- Regenerate with rust2rpm v24

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Feb 08 2023 Sergio Lopez <slp@redhat.com> - 0.6.0-1
- Update to version 0.6.0

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jun 01 2022 Sergio Lopez <slp@redhat.com> - 0.5.0-1
- Initial package

## END: Generated by rpmautospec
